Index: npl/system/libmnl/libmnl.SlackBuild
===================================================================
--- npl/system/libmnl/libmnl.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmnl/libmnl.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,25 +1,92 @@
 #!/bin/bash
-#
-# Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/n/libmnl/
-# Created at ma 14 jun 2021 10:13:11 CEST
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#Strict build-dependencies
+#Our package will be automaticly rebuilded if there is a major change in a DEP package.
+#(this is recommended for most dependencys)
+##DEP:linux
+##DEP:linux_src
+##DEP:openldap
+
+#Loose build-dependencies
+#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
+#(not recommended)
+##NEED:doxygen
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
 
 
-########### source original slackbuild (hopefully we dont need to modify it)
-CWD=`pwd`
-set -e
-source ./libmnl.SlackBuild.orig
 
-
-############ make syn3 packages
-cd $CWD
-for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
-
-        #seperate dev-package
-        syn3_move_dev $PKG $PKG""_dev
-        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
-
-        #make main package
-        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
-done
Index: npl/system/libmnl/libmnl.SlackBuild.orig
===================================================================
--- npl/system/libmnl/libmnl.SlackBuild.orig	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,136 +1,0 @@
-#!/bin/bash
-
-# Slackware build script for libmnl
-
-# Copyright 2013, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
-# Copyright 2013  Robby Workman, Northport, Alabama, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-#
-#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
-#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
-#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-cd $(dirname $0) ; CWD=$(pwd)
-
-PKGNAM=libmnl
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
-
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
-
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
-  case "$( uname -m )" in
-    i?86) export ARCH=i586 ;;
-    arm*) export ARCH=arm ;;
-    # Unless $ARCH is already set, use uname -m for all other archs:
-       *) export ARCH=$( uname -m ) ;;
-  esac
-fi
-
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
-if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
-  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
-  exit 0
-fi
-
-if [ "$ARCH" = "i586" ]; then
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fPIC"
-  LIBDIRSUFFIX="64"
-else
-  SLKCFLAGS="-O2"
-  LIBDIRSUFFIX=""
-fi
-
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PKGNAM
-
-rm -rf $PKG
-mkdir -p $TMP $PKG
-
-cd $TMP
-rm -rf $PKGNAM-$VERSION
-tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-cd $PKGNAM-$VERSION || exit 1
-
-chown -R root:root .
-find . \
-  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \+ -o \
-  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \+
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
-  --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --sysconfdir=/etc \
-  --localstatedir=/var \
-  --mandir=/usr/man \
-  --docdir=/usr/doc/$PKGNAM-$VERSION \
-  --disable-static \
-  --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
-
-# Move the shared library to $PKG/lib${LIBDIRSUFFIX}:
-mkdir -p $PKG/lib${LIBDIRSUFFIX}
-( cd $PKG/usr/lib${LIBDIRSUFFIX}
-  for file in lib*.so.?.* ; do
-    mv $file ../../lib${LIBDIRSUFFIX}
-    ln -sf ../../lib${LIBDIRSUFFIX}/$file .
-  done
-  cp -a lib*.so.? ../../lib${LIBDIRSUFFIX}
-)
-
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
-  grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-# Compress and if needed symlink the man pages:
-if [ -d $PKG/usr/man ]; then
-  ( cd $PKG/usr/man
-    for manpagedir in $(find . -type d -name "man*") ; do
-      ( cd $manpagedir
-        for eachpage in $( find . -type l -maxdepth 1) ; do
-          ln -s $( readlink $eachpage ).gz $eachpage.gz
-          rm $eachpage
-        done
-        gzip -9 *.?
-      )
-    done
-  )
-fi
-
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a COPYING* README* $PKG/usr/doc/$PKGNAM-$VERSION
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/system/libmnl/libmnl.build
===================================================================
--- npl/system/libmnl/libmnl.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1
Index: npl/system/libmnl/libmnl.md5
===================================================================
--- npl/system/libmnl/libmnl.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmnl/libmnl.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,7 +1,5 @@
-7bbeb8cdb3258793bd937887213cf20e  ./libmnl-1.0.4.tar.xz
-0e4feb61bacd39542f3acc4ce40c2423  ./libmnl_dev.pkg
-d23e8e230bf579797d46868b60c54c97  ./libmnl.pkg
-7202667646db55bf98e7ac6c15835297  ./libmnl.SlackBuild
-eb3a92dfb701942b95a4523b5d0eae8e  ./libmnl.SlackBuild.log.gz
-00df8bb2b35f0d4f0fb3ad39bef54bdc  ./libmnl.SlackBuild.orig
-b7373248c6cf9d6af5802b2939cc5de0  ./slack-desc
+7d95fc3bea3365bc03c48e484224f65f  ./libmnl-1.0.3.tar.bz2
+1b5f4f1b82eea2698b66910b5522515b  ./libmnl_dev.pkg
+04e29a97144fb6c056512877c4a59391  ./libmnl.pkg
+a685e23c9200f687ec5c9c09f1ad4764  ./libmnl.SlackBuild
+95055379f6c3dd34a52e5156c9d8f33d  ./libmnl.SlackBuild.log.gz
Index: npl/system/libmnl/libmnl.version
===================================================================
--- npl/system/libmnl/libmnl.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmnl/libmnl.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.4
+1.0.3
Index: npl/system/libmnl/libmnl_dev.build
===================================================================
--- npl/system/libmnl/libmnl_dev.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1
Index: npl/system/libmnl/libmnl_dev.version
===================================================================
--- npl/system/libmnl/libmnl_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/libmnl/libmnl_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.4
+1.0.3
Index: npl/system/libmnl/slack-desc
===================================================================
--- npl/system/libmnl/slack-desc	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,19 +1,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
-      |-----handy-ruler------------------------------------------------------|
-libmnl: libmnl (user-space library oriented to Netlink developers)
-libmnl:
-libmnl: libmnl is a minimalistic user-space library oriented to Netlink
-libmnl: developers. There are a lot of common tasks in parsing, validating,
-libmnl: constructing of both the Netlink header and TLVs that are repetitive
-libmnl: and easy to get wrong. This library aims to provide simple helpers
-libmnl: that allows you to re-use code and to avoid re-inventing the wheel.
-libmnl:
-libmnl: Homepage: http://www.netfilter.org/projects/libmnl/
-libmnl:
-libmnl:
